diff options
author | Simon McVittie <simon.mcvittie@collabora.co.uk> | 2011-09-21 11:39:32 +0100 |
---|---|---|
committer | Simon McVittie <simon.mcvittie@collabora.co.uk> | 2011-09-21 11:39:32 +0100 |
commit | bf3d8259ac89ee4fe86b3f9e6df71f6e71e07fd2 (patch) | |
tree | d80925fcf3feaa14b9e7eed571d0ce9e3cf53efc /test/name-test | |
parent | c1989c1a4f013085fe5eceb6bffa89d1e1b66bf5 (diff) | |
parent | bdfec550544d353e60228b0553534467cbb36a06 (diff) |
Merge branch 'dbus-1.4'
Conflicts:
NEWS
Diffstat (limited to 'test/name-test')
-rw-r--r-- | test/name-test/Makefile.am | 2 | ||||
-rwxr-xr-x | test/name-test/run-test-systemserver.sh | 5 | ||||
-rwxr-xr-x | test/name-test/run-test.sh | 4 |
3 files changed, 7 insertions, 4 deletions
diff --git a/test/name-test/Makefile.am b/test/name-test/Makefile.am index 68fc33ec..6aaf1783 100644 --- a/test/name-test/Makefile.am +++ b/test/name-test/Makefile.am @@ -12,7 +12,7 @@ AM_LDFLAGS = @R_DYNAMIC_LDFLAG@ ## so if adding tests not to be run in make check, don't add them to ## TESTS if DBUS_BUILD_TESTS -TESTS_ENVIRONMENT=DBUS_TOP_BUILDDIR=@abs_top_builddir@ DBUS_TOP_SRCDIR=@abs_top_srcdir@ +TESTS_ENVIRONMENT=DBUS_TOP_BUILDDIR=@abs_top_builddir@ DBUS_TOP_SRCDIR=@abs_top_srcdir@ PYTHON=@PYTHON@ TESTS=run-test.sh run-test-systemserver.sh else TESTS= diff --git a/test/name-test/run-test-systemserver.sh b/test/name-test/run-test-systemserver.sh index d3b8d557..afd1f045 100755 --- a/test/name-test/run-test-systemserver.sh +++ b/test/name-test/run-test-systemserver.sh @@ -41,10 +41,11 @@ if ! grep -q 'DBus.Error' echo-error-output.tmp; then fi echo "running test echo signal" -if ! python $DBUS_TOP_SRCDIR/test/name-test/test-wait-for-echo.py; then +if test "x$PYTHON" = "x:"; then + echo "Skipped test-echo-signal: Python interpreter not found" +elif ! $PYTHON $DBUS_TOP_SRCDIR/test/name-test/test-wait-for-echo.py; then echo "Failed test-wait-for-echo" exit 1 fi - exit 0 diff --git a/test/name-test/run-test.sh b/test/name-test/run-test.sh index a70055bb..cad5937e 100755 --- a/test/name-test/run-test.sh +++ b/test/name-test/run-test.sh @@ -49,7 +49,9 @@ echo "running test-shutdown" ${DBUS_TOP_BUILDDIR}/libtool --mode=execute $DEBUG $DBUS_TOP_BUILDDIR/test/name-test/test-shutdown || die "test-shutdown failed" echo "running test activation forking" -if ! python $DBUS_TOP_SRCDIR/test/name-test/test-activation-forking.py; then +if test "x$PYTHON" = "x:"; then + echo "Skipped test-activation-forking: Python interpreter not found" +elif ! $PYTHON $DBUS_TOP_SRCDIR/test/name-test/test-activation-forking.py; then echo "Failed test-activation-forking" exit 1 fi |